/* connecting fonts */
@font-face {
	font-family: "Jost Regular";
	font-weight: normal;
	font-style: normal;
	src: url(../fonts/Jost-Regular.ttf);
}

@font-face {
	font-family: "EuropeExt";
	font-weight: normal;
	font-style: normal;
	src: url(../fonts/EuropeExt.otf);
}

:root{
	--page-bg-color: #fdfdfd;
	--text-color: #212121;
	--accent-color: #C60404;
}

.dark-theme {
	--page-bg-color: #212121;
	--text-color: #fafafa;
	--accent-color: #C60404;
}

/* common blocks */
* {
	color: var(--text-color);
	font-style: normal;
	font-weight: normal;
	font-size: 17px;
	line-height: 20px;
	letter-spacing: -0.005em;
	text-decoration: none;
	text-transform: uppercase;
}

html {
	min-width: 320px;
	height: 100vh;
	background-color: var(--page-bg-color);
}

body {
	margin: 0;
	padding: 0;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}


.container {
	margin: 0 auto;
	max-width: 850px;
}

.change-theme_btn{
	cursor: pointer;
	position: fixed;
	top: 10px;
	right: 10px;
	width: 25px;
	opacity: .2;
	z-index: 999;
}
.change-theme_btn img {
	width: 25px;
}


/* header blocks */
.header-menu {
	width: 520px;
	display: flex;
	margin: 0 auto;
	padding-top: 44px;
	justify-content: space-between;
	box-sizing: border-box;
}

.hm-link {
	font-family: "Jost Regular";
	margin: 0;
	padding: 0;
}

/* circles */
.circles {
	position: relative;
	display: flex;
	justify-content: center;
	align-content: center;
	align-items: center;
	width: 620px;
	height: 620px;
	margin: 0 auto;
}

.circle-logo{
	position: relative;
	left: 1px;
	top: 6px;
	text-align: center;
	z-index: 2;
}

.lb-image {
	width: 250px;
	margin-top: 20px;
	cursor: pointer;
}

.rb-description {
	font-family: "EuropeExt";
	font-weight: bold;
	font-size: 24px;
	line-height: 26px;
	height: 52px;
	margin: 0 auto 0;
	padding: 0;
}

.circle-1, .circle-2, .circle-3, .circle-4, .circle-5, .circle-6 {
	border-radius: 50%;
	background-color: transparent;
	border: 1px solid #5b7581;
	position: absolute;
}

.circle-1{
	width: 178px;
	height: 179px;
	opacity: .1;
}
.circle-2{
	width: 249px;
	height: 251px;
	opacity: .15;
}
.circle-3{
	width: 329px;
	height: 332px;
	opacity: .35;
}
.circle-4{
	width: 416px;
	height: 420px;
	opacity: .55;
}
.circle-5{
	width: 511px;
	height: 516px;
	opacity: .75;
}
.circle-6{
	width: 614px;
	height: 620px;
	opacity: 0.9;
}

.a1{
	animation: pulse infinite;
	animation-delay: 0s;
	animation-duration: 2s;
}
.a2{
	animation: pulse infinite;
	animation-delay: .2s;
	animation-duration: 2s;
}
.a3{
	animation: pulse infinite;
	animation-delay: .4s;
	animation-duration: 2s;
}

.a4 {
	animation: pulse infinite;
	animation-delay: .6s;
	animation-duration: 2s;
}

.a5 {
	animation: pulse infinite;
	animation-delay: .8s;
	animation-duration: 2s;
}

.a6 {
	animation: pulse infinite;
	animation-delay: 1s;
	animation-duration: 2s;
}

.a7 {
	animation: none;
}

@-webkit-keyframes pulse {
	0% { border: 1px solid #5b7581;}
	20% { border: 1px solid #5b758186;}
	40% { border: 1px solid #5b75813d;}
	60% { border: 1px solid #5b758100;}
	80% { border: 1px solid #5b75817c;}
	100% { border: 1px solid #5b7581c0;}
}

@keyframes pulse {
	0% { border: 1px solid #5b7581;}
	20% { border: 1px solid #5b758186;}
	40% { border: 1px solid #5b75813d;}
	60% { border: 1px solid #5b758100;}
	80% { border: 1px solid #5b75817c;}
	100% { border: 1px solid #5b7581c0;}
}


/* control panel */
.control-panel {
	display: flex;
	flex-wrap: wrap;
	flex-direction: row;
	justify-content: space-around;
	margin: 15px auto;
	max-width: 420px;
	height: 55px;
	align-items: center;
}

/* play/pause block */
.cp-rb-image {
	width: 50px;
}

.cp-radio-button {
	width: 70px;
	height: 50px;
	cursor: pointer;
	text-align: center;
}

.radio-button_pause{
	display: none;
}

/* chatBtn */

.cp-chat-image{
	width: 45px;
	vertical-align: middle;
}

/* Listeners counter */
.cp-countListeners {
	display: flex;
	align-items: center;
	justify-content: start;
	font-family: "EuropeExt";
	width: 100px;
	font-size: 16px;
	line-height: 14px;
	letter-spacing: 0.05em;
	text-align: center;
}

.cp-countListeners span {
	font-size: 17px;
}

.cp-icon-image{
	width: 45px;
	margin: auto 8px;
}

/* volume slider */
.volume-block {
	display: block;
	text-align: center;
	width: 160px;
}

.volume-slider {
	-webkit-appearance: none;
	margin: 10px auto;
	width: 140px;
	height: 3px;
	outline: none;
	background-color: var(--text-color);
	cursor: pointer;
}

.volume-slider::-webkit-slider-thumb {
	-webkit-appearance: none; /* Переопределить внешний вид по умолчанию */
	appearance: none;
	width: 8px;
	height: 18px;
	background:	var(--accent-color);
	cursor: pointer;
}

.volume-slider::-moz-range-thumb {
	width: 8px;
	height: 18px;
	background:	var(--accent-color);
	cursor: pointer;
}


/* social buttons */
.social-box {
	display: flex;
	justify-content: space-around;
	width: 440px;
	height: 90px;
	margin-top: 25px;
}

.sb-link {
	height: 82px;
	width: 82px;
	border-radius: 50%;
}

.sb-link-tg, .sb-link-yt, .sb-link-vk, .sb-link-inst, .sb-link-bst {
	background-size: 82px;
}

.sb-link-tg {
	background-image: url("../img/soc-tg-rb.svg");
}
.sb-link-vk {
	background-image: url("../img/soc-vk-rb.svg");
}
.sb-link-yt {
	background-image: url("../img/soc-yt-rb.svg");
	width: 82px;
}
.sb-link-inst {
	background-image: url("../img/soc-inst-rb.svg");
}
.sb-link-bst {
	background-image: url("../img/soc-boosty-rb.svg");
}

.sb-link-yt:hover {
	background-image: url("../img/soc-yt.svg");
}
.sb-link-tg:hover {
	background-image: url("../img/soc-tg.svg");
}
.sb-link-vk:hover {
	background-image: url("../img/soc-vk.svg");
}
.sb-link-inst:hover {
	background-image: url("../img/soc-inst.svg");
}
.sb-link-bst:hover {
	background-image: url("../img/soc-boosty.svg");
}


/* Radio Table Block */

.radioTableBlock {
	max-width: 620px;
	width: 95%;
}

.rtb-title {
	font-family: "EuropeExt";
  font-weight: bold;
  font-size: 1.4em;
	text-align: center;
	margin: 45px auto 0;
}

.rtb-scheldule {
	display: flex;
	flex-direction: column;
	list-style-type:  none;
	padding: 0;
	max-width: 520px;
	margin: 15px auto;
}

.schelduleLine {
	display: flex;
	align-items: center;
	flex-direction: row;
	margin-bottom: 15px;
}

.schelduleLine_datetime {
	width: 100px;
	flex-shrink: 0;
	font-family: "Jost Regular";
	text-transform: none;
	text-align: center;
	color: var(--accent-color);
}

.schelduleLine_description {
	margin-left: 15px;
	max-width: 420px;
	text-transform: none;
	font-family: "Jost Regular";
	font-size: 1.2em;
}

.schelduleLine_link {
	text-transform: none;
	font-size: 1em;
}

.loader {
  --b: 7px;  /* border thickness */
  --n: 13;    /* number of dashes*/
  --g: 7deg; /* gap  between dashes*/
  --c: var(--accent-color);   /* the color */

  width: 56px; /* size */
  aspect-ratio: 1;
  border-radius: 50%;
	margin:35px auto 10px;
  padding: 1px; /* get rid of bad outlines */
  background: conic-gradient(#0000,var(--c)) content-box;
  --_m: /* we use +/-1deg between colors to avoid jagged edges */
    repeating-conic-gradient(#0000 0deg,
       #000 1deg calc(360deg/var(--n) - var(--g) - 1deg),
       #0000     calc(360deg/var(--n) - var(--g)) calc(360deg/var(--n))),
    radial-gradient(farthest-side,#0000 calc(98% - var(--b)),#000 calc(100% - var(--b)));
  -webkit-mask: var(--_m);
          mask: var(--_m);
  -webkit-mask-composite: destination-in;
          mask-composite: intersect;
  animation: load 1s infinite steps(var(--n));
}
@keyframes load {to{transform: rotate(1turn)}}


/* scroll settings */
::-moz-webkit-scrollbar{
	width: 11px;
	max-height: 34px;
}
::-webkit-scrollbar {
	width: 11px;
	max-height: 34px;
}
::-webkit-scrollbar-track-piece	{
	background-color: transparent;
}
::moz-webkit-scrollbar-track-piece	{
	background-color: transparent;
}
::-webkit-scrollbar-track {
	max-height: 34px;
}
::moz-webkit-scrollbar-track {
	max-height: 34px;
}
::-webkit-scrollbar-thumb:vertical {
	max-height: 34px;
	background-color: var(--text-color);
	border-radius: 23px;
}
::moz-webkit-scrollbar-thumb:vertical {
	max-height: 34px;
	background-color: var(--text-color);
	border-radius: 23px;
}